DRM_MODE_CREATE_TV_P(9)

NAME
drm_mode_create_tv_properties - create TV specific connector properties

SYNOPSIS

int drm_mode_create_tv_properties(struct drm_device * dev, unsigned int num_modes, char * modes[]);

ARGUMENTS

dev
    DRM device

num_modes
    number of different TV formats (modes) supported

modes[]
    array of pointers to strings containing name of each format

DESCRIPTION

Called by a driver's TV initialization routine, this function creates the TV specific connector properties for a given device. Caller is responsible for allocating a list of format names and passing them to this routine.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT